Documentation Index

Fetch the complete documentation index at: https://docs.abakion.com/llms.txt

Use this file to discover all available pages before exploring further.

Find pet by ID

Prev Next
Get
/pet/{petId}

Returns a single pet

Security
API Key: api_key
Header parameter nameapi_key
Path parameters
petId
integer (int64) Required

ID of pet to return

Responses
200

successful operation

Expand All
object
id
integer (int64)
category
object (Category)
id
integer (int64)
name
string
name
string
Exampledoggie
photoUrls
Array of string
string
tags
Array of object (Tag)
object
id
integer (int64)
name
string
status
string

pet status in the store

Valid values[ "available", "pending", "sold" ]
Expand All
object
id
integer (int64)
category
object (Category)
id
integer (int64)
name
string
name
string
Exampledoggie
photoUrls
Array of string
string
tags
Array of object (Tag)
object
id
integer (int64)
name
string
status
string

pet status in the store

Valid values[ "available", "pending", "sold" ]
400

Invalid ID supplied

404

Pet not found